auto lo
iface lo inet loopback

auto eth0
iface eth0 inet dhcp

auto eth1
iface eth1
    link-speed 1000
    link-duplex full

auto eth2
iface eth2
    link-speed 1000
    link-duplex full

auto uplink
iface uplink
    address {{ uplink.address }}
    bond-slaves eth1 eth2
    bond-mode 802.3ad
    bond-miimon 100
    bond-min-links 1
